using System;
using System.Net;
using System.Threading;

class Program
{
    private static void Main(string[] args)
    {
        var t1 = new Thread(MyThreadEntryPoint);
        var t2 = new Thread(MyThreadEntryPoint);
        var t3 = new Thread(MyThreadEntryPoint);

        t1.Start("http://www.interact-sw.co.uk/iangblog/");
        t2.Start("http://helion.pl/");
        t3.Start("http://msdn.microsoft.com/en-us/vstudio/hh388566");
    }

    private static Random r = new Random(0);

    private static void MyThreadEntryPoint(object arg)
    {
        string url = (string) arg;

        using (var w = new WebClient())
        {
            Console.WriteLine("Pobieranie strony " + url);
            string page = w.DownloadString(url);
            Console.WriteLine("Pobrano stronę {0}, długość {1}", url, page.Length);
        }
    }
}
